Foxit PDF Conversion SDK

Public Member Functions | Public Attributes | List of all members
foxit::conversion::office2pdf::Excel2PDFSettingData Class Reference

Inherits Object.

## Public Member Functions
| Excel2PDFSettingData ()
| Constructor.
| Excel2PDFSettingData (bool is_separate_workbook, bool is_output_hidden_worksheets, foxit::WStringArray worksheet_names)
| Constructor, with parameters. More...
Excel2PDFSettingData & | operator= (const Excel2PDFSettingData &data)
| Assign operator. More...
void | Set (bool is_separate_workbook, bool is_output_hidden_worksheets, foxit::WStringArray worksheet_names)
| Set value. More...

## Public Attributes
bool | is_output_hidden_worksheets
| A boolean value which indicates whether to output the hidden worksheets. More...
bool | is_separate_workbook
| A boolean value which indicates whether to export worksheets to separate PDF files. More...
foxit::WStringArray | worksheet_names
| An array of specific worksheet names to be converted to PDF files. More...

## Detailed Description

This class represents setting data used for converting Excel format files to PDF format files.

## Constructor & Destructor Documentation

## ◆ Excel2PDFSettingData()

foxit::conversion::office2pdf::Excel2PDFSettingData::Excel2PDFSettingData | ( | bool | is_separate_workbook,
|  | bool | is_output_hidden_worksheets,
|  | foxit::WStringArray | worksheet_names
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

## Member Function Documentation

## ◆ operator=()

Excel2PDFSettingData& foxit::conversion::office2pdf::Excel2PDFSettingData::operator= | ( | const Excel2PDFSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another Excel-to-PDF setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::conversion::office2pdf::Excel2PDFSettingData::Set | ( | bool | is_separate_workbook,
|  | bool | is_output_hidden_worksheets,
|  | foxit::WStringArray | worksheet_names
| ) |  |
| inline

Set value.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

Returns
  None.

## Member Data Documentation

## ◆ is_output_hidden_worksheets

bool foxit::conversion::office2pdf::Excel2PDFSettingData::is_output_hidden_worksheets

A boolean value which indicates whether to output the hidden worksheets.

true means to output the hidden worksheets, while false means not.

## ◆ is_separate_workbook

bool foxit::conversion::office2pdf::Excel2PDFSettingData::is_separate_workbook

A boolean value which indicates whether to export worksheets to separate PDF files.

true means to export each worksheet to separate PDF files, while false means not.

## ◆ worksheet_names

foxit::WStringArray foxit::conversion::office2pdf::Excel2PDFSettingData::worksheet_names

An array of specific worksheet names to be converted to PDF files.

If this array is empty, all worksheets will be converted to PDF files.